> ## Documentation Index
> Fetch the complete documentation index at: https://adp-doc.laiye.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get application configuration

> Get an extraction application configuration by app_id. To get a high-speed custom extraction application configuration, pass the app_id of the high-speed application. If config_version is omitted, the latest configuration version is returned.



## OpenAPI

````yaml /en/api-reference/adp-api.yaml post /open/agentic_doc_processor/{tenant_name}/v1/app-manage/config
openapi: 3.1.0
info:
  title: ADP API
  version: 1.0.0
  description: >-
    Laiye ADP OpenAPI reference for document extraction, document recognition,
    application management, credit usage, workflow runs, and workflow file
    management.
  license:
    name: MIT
    identifier: MIT
servers:
  - url: https://adp-global.laiye.com
    description: ADP global production endpoint
security: []
tags:
  - name: Document extraction
    description: Extract structured fields from uploaded documents.
  - name: Document recognition
    description: Recognize text, layout blocks, and positions from uploaded documents.
  - name: Application management
    description: >-
      Create, update, delete, and query extraction applications and
      configurations.
  - name: Account
    description: Query credit usage.
  - name: Workflow
    description: Run workflow applications and query run results.
  - name: Workflow files
    description: Upload and manage files used by workflow applications.
paths:
  /open/agentic_doc_processor/{tenant_name}/v1/app-manage/config:
    post:
      tags:
        - Application management
      summary: Get application configuration
      description: >-
        Get an extraction application configuration by app_id. To get a
        high-speed custom extraction application configuration, pass the app_id
        of the high-speed application. If config_version is omitted, the latest
        configuration version is returned.
      operationId: getExtractionAppConfig
      parameters:
        - $ref: '#/components/parameters/TenantName'
      requestBody:
        $ref: '#/components/requestBodies/AppConfigQueryRequest'
      responses:
        '200':
          description: Application configuration.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppConfigResponse'
              examples:
                standardConfig:
                  value:
                    code: 200
                    message: success
                    data:
                      app_id: app_1406
                      app_name: Purchase order extraction app
                      app_label:
                        - purchase-order
                      config_version: v1
                      extract_fields:
                        - field_name: Order number
                          field_type: string
                          field_prompt: Extract the purchase order number.
                      parse_mode: fast_vlm
                      enable_highlight: 0
                      enable_pdf_parse: true
                      pdf_pic_second_parsing: false
                      enable_stamp_recognition: true
                      enable_long_doc: false
                highSpeedConfig:
                  value:
                    code: 200
                    message: success
                    data:
                      app_id: app_1425
                      app_name: High-speed invoice extraction app
                      app_label:
                        - invoice
                        - high-speed
                      config_version: v1
                      extract_fields:
                        - field_name: Invoice number
                          field_type: string
                          field_prompt: Extract the unique invoice number from the invoice.
                      parse_mode: null
                      enable_highlight: null
                      enable_pdf_parse: null
                      pdf_pic_second_parsing: null
                      enable_stamp_recognition: null
                      enable_long_doc: false
        '422':
          $ref: '#/components/responses/ValidationError'
      security:
        - ApiKeyAuth: []
components:
  parameters:
    TenantName:
      name: tenant_name
      in: path
      required: true
      description: 'Tenant name. Default: laiye.'
      schema:
        type: string
        default: laiye
  requestBodies:
    AppConfigQueryRequest:
      required: true
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/AppConfigQueryRequest'
          examples:
            highSpeedConfig:
              summary: Get high-speed custom extraction application configuration
              value:
                app_id: app_1425
            highSpeedConfigVersion:
              summary: Get a specified high-speed configuration version
              value:
                app_id: app_1425
                config_version: v1
  schemas:
    AppConfigResponse:
      allOf:
        - $ref: '#/components/schemas/SimpleResponse'
        - type: object
          properties:
            data:
              $ref: '#/components/schemas/AppConfigData'
    AppConfigQueryRequest:
      type: object
      additionalProperties: false
      properties:
        app_id:
          type: string
          description: >-
            Application ID. To query a high-speed custom extraction application
            configuration, pass the app_id of the high-speed application.
        config_version:
          type: string
          description: Configuration version. Optional. Defaults to the latest version.
      required:
        - app_id
    SimpleResponse:
      type: object
      properties:
        code:
          oneOf:
            - type: string
            - type: integer
          description: Business code. A successful response is usually success or 200.
        message:
          type: string
          description: Response message.
        tips:
          type:
            - string
            - 'null'
          description: Details. Defaults to null.
    AppConfigData:
      type: object
      additionalProperties: true
      properties:
        app_id:
          type: string
        app_name:
          type: string
        app_label:
          type: array
          items:
            type: string
        config_version:
          type: string
        extract_fields:
          type: array
          items:
            $ref: '#/components/schemas/ExtractionFieldConfig'
        parse_mode:
          type:
            - string
            - 'null'
          description: Parsing mode. High-speed applications return null.
        enable_highlight:
          type:
            - integer
            - 'null'
          enum:
            - 0
            - 1
            - null
          description: >-
            Whether source locations are enabled. Standard applications return 0
            or 1. High-speed applications return null.
        enable_pdf_parse:
          type:
            - boolean
            - 'null'
          description: >-
            Whether PDF text first is enabled. High-speed applications return
            null.
        pdf_pic_second_parsing:
          type:
            - boolean
            - 'null'
          description: >-
            When PDF text first is enabled, whether to run secondary parsing on
            images inside the PDF. High-speed applications return null.
        enable_stamp_recognition:
          type:
            - boolean
            - 'null'
          description: >-
            Whether stamp recognition is enabled. High-speed applications return
            null.
        enable_long_doc:
          type: boolean
        long_doc_config:
          type: array
          items:
            $ref: '#/components/schemas/LongDocConfig'
    ExtractionFieldConfig:
      type: object
      additionalProperties: false
      properties:
        field_key:
          type: string
          pattern: ^[A-Za-z][A-Za-z0-9_]{0,63}$
          description: >-
            Unique field identifier. Required when you create a high-speed
            custom extraction application. Standard applications do not require
            this field.
        field_name:
          type: string
          minLength: 1
          maxLength: 50
          description: Field name.
        field_type:
          type: string
          enum:
            - string
            - date
            - table
          description: Field type. Use table for table fields.
        field_prompt:
          type: string
          description: Field extraction prompt.
        sub_fields:
          type: array
          description: >-
            Table sub-fields. When field_type is table, provide at least one
            valid sub-field.
          items:
            $ref: '#/components/schemas/ExtractionSubFieldConfig'
      required:
        - field_name
        - field_type
    LongDocConfig:
      type: object
      additionalProperties: false
      properties:
        doc_type:
          type: string
          description: Document type.
        doc_desc:
          type: string
          description: Document type description.
      required:
        - doc_type
    ExtractionSubFieldConfig:
      type: object
      additionalProperties: false
      properties:
        field_key:
          type: string
          pattern: ^[A-Za-z][A-Za-z0-9_]{0,63}$
          description: >-
            Unique sub-field identifier. Required when you create a high-speed
            custom extraction application. Standard applications do not require
            this field.
        field_name:
          type: string
          minLength: 1
          maxLength: 50
          description: Sub-field name.
        field_type:
          type: string
          enum:
            - string
            - date
          description: Sub-field type. Nested tables are not supported inside a table.
        field_prompt:
          type: string
          description: Sub-field extraction prompt.
      required:
        - field_name
        - field_type
  responses:
    ValidationError:
      description: Validation error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SimpleResponse'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Production OpenAPI Accessor access_key. You can find it in My API in the
        ADP platform. If the key is disabled, expired, or does not belong to the
        production environment, the API returns Accessor not found.

````